Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-01-2022 12:10:51

solar66
Membre
Distrib. : debian stable
Noyau : Linux 5.10.0-9-amd64
(G)UI : cinnamon
Inscription : 23-08-2016

[Résolu] problème avec convert

Bonjour,
convert refuse de transformer un fichier .pdf en .jpg

convert facture_01-22.pdf facture_01-22.jpg

convert-im6.q16: attempt to perform an operation not allowed by the security policy `PDF' @ error/constitute.c/IsCoderAuthorized/421.
convert-im6.q16: no images defined `facture_01-22.jpg'
@ error/convert.c/ConvertImageCommand/3229.
 



une idée?
merci

Dernière modification par solar66 (24-01-2022 19:04:12)

Hors ligne

#2 24-01-2022 12:48:44

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [Résolu] problème avec convert

Hors ligne

#3 24-01-2022 12:58:59

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] problème avec convert

Hello,

Oui, j'ai une idée.
Cette erreur était un contournement d'une faille de sécurité concernant "ghostscript" (version < 9.24).
Donc, vérifie ta version de "ghostscript" :

gs --version


Si tu obtiens une version supérieure ou égale à 9.24,
alors tu peux éditer /etc/ImageMagick-6/policy.xml pour trouver ces lignes (en fin de fichier) :

  <!-- disable ghostscript format types -->
  <policy domain="coder" rights="none" pattern="PS" />
  <policy domain="coder" rights="none" pattern="PS2" />
  <policy domain="coder" rights="none" pattern="PS3" />
  <policy domain="coder" rights="none" pattern="EPS" />
  <policy domain="coder" rights="read | write" pattern="PDF" />
  <policy domain="coder" rights="none" pattern="XPS" />



Soit tu les supprimes, soit tu les commentes de la sorte :

  <!-- disable ghostscript format types -->
  <!-- <policy domain="coder" rights="none" pattern="PS" /> -->
  <!-- <policy domain="coder" rights="none" pattern="PS2" /> -->
  <!-- <policy domain="coder" rights="none" pattern="PS3" /> -->
  <!-- <policy domain="coder" rights="none" pattern="EPS" /> -->
  <!-- <policy domain="coder" rights="read | write" pattern="PDF" /> -->
  <!-- <policy domain="coder" rights="none" pattern="XPS" /> -->


Et ça devrait fonctionner wink

Dernière modification par Tawal (24-01-2022 13:00:34)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

En ligne

#4 24-01-2022 17:57:49

solar66
Membre
Distrib. : debian stable
Noyau : Linux 5.10.0-9-amd64
(G)UI : cinnamon
Inscription : 23-08-2016

Re : [Résolu] problème avec convert

ma version est:

gs --version
9.53.3



et donc je supprime, comme proposé,
et............Ça marche smile
superbe, merci Bartaba et Tawal

Hors ligne

#5 24-01-2022 19:06:05

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] problème avec convert

J'ai rajouté le lien "Forums» Autres» problème avec convert" sur le wiki, merci pour cette solution Tawal

Dernière modification par Jean-Pierre Pinson (24-01-2022 19:07:22)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#6 24-01-2022 22:47:21

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] problème avec convert

Ce n'est pas moi qu'il faut remercier mais celui qui a trouvé cette solution,
je n'ai fait que la partager wink

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

En ligne

Pied de page des forums